# W32_Note Struct Reference

`#include <W32_Allocator.hxx>`

Inheritance diagram for W32_Note:

[legend]

## Public Member Functions

| W32_Note ()
virtual | ~W32_Note ()
void * | operator new (size_t, W32_Allocator *)
virtual void | Play (BOOL=TRUE)=0
virtual void | Xform (void)
virtual void | Release (void)
void | operator delete (void *, W32_Allocator *)

## Data Fields

PW32_Allocator | myAllocator

## Private Member Functions

void | operator delete (void *p)

## Constructor & Destructor Documentation

W32_Note::W32_Note | ( |  | ) | `[inline]`

virtual W32_Note::~W32_Note | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void W32_Note::operator delete | ( | void * | p | ) | `[inline, private]`

void W32_Note::operator delete | ( | void * | ,
|  | W32_Allocator * |
| ) | `[inline]`

void* W32_Note::operator new | ( | size_t | ,
|  | W32_Allocator * |
| ) |

virtual void W32_Note::Play | ( | BOOL | = `TRUE` | ) | `[pure virtual]`

Implemented in W32_PointNote, WNT_PointNote, W32_MarkerPointNote, WNT_MarkerPointNote, W32_LineNote, WNT_LineNote, W32_PolyEllipseNote, WNT_PolyEllipseNote, W32_EllipseNote, WNT_EllipseNote, W32_ArcNote, WNT_ArcNote, W32_PolyChordNote, WNT_PolyChordNote, W32_ChordNote, WNT_ChordNote, W32_PolySectorNote, WNT_PolySectorNote, W32_SectorNote, WNT_SectorNote, W32_PolyMarkerNote, W32_PolyMarker1Note, WNT_PolyMarker1Note, W32_PolyMarker2Note, WNT_PolyMarker2Note, W32_PolygonNote, WNT_PolygonNote, W32_PolylineNote, WNT_PolylineNote, W32_ImageNote, WNT_ImageNote, W32_TextNote, WNT_TextNote, W32_PolyTextNote, WNT_PolyTextNote, W32_BeginMarkerNote, WNT_BeginMarkerNote, W32_EndMarkerNote, WNT_EndMarkerNote, W32_LineAttribNote, WNT_LineAttribNote, W32_PolyAttribNote, WNT_PolyAttribNote, W32_TextAttribNote, WNT_TextAttribNote, W32_MarkerAttribNote, WNT_MarkerAttribNote, and W32_FCallNote.

virtual void W32_Note::Release | ( | void |  | ) | `[inline, virtual]`

virtual void W32_Note::Xform | ( | void |  | ) | `[inline, virtual]`

| Reimplemented in WNT_PointNote, WNT_LineNote, WNT_PolyEllipseNote, WNT_ArcNote, WNT_PolygonNote, WNT_TextNote, and WNT_BeginMarkerNote.

## Field Documentation

PW32_Allocator W32_Note::myAllocator

The documentation for this struct was generated from the following file:

- W32_Allocator.hxx